Package weka.associations.tertius

# Class Literal

java.lang.Object
weka.associations.tertius.Literal

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Direct Known Subclasses:
  `AttributeValueLiteral`

public abstract class Literal extends Object implements Serializable, RevisionHandler

Version:
  $Revision: 1.5 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NEG`
`static final int`
`POS`

## Constructor Summary

Constructors
Constructor
Description
`Literal(Predicate predicate, int sign, int missing)`

## Method Summary

Modifier and Type
Method
Description
`Literal`
`getNegation()`
`Predicate`
`getPredicate()`
`abstract boolean`
`negationSatisfies(Instance instance)`
`boolean`
`negative()`
`boolean`
`positive()`
`abstract boolean`
`satisfies(Instance instance)`
`void`
`setNegation(Literal negation)`
`abstract String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface weka.core.RevisionHandler

`getRevision`

## Field Details

### NEG

public static final int NEG

See Also:
  - Constant Field Values

### POS

public static final int POS

See Also:
  - Constant Field Values

## Constructor Details

### Literal

public Literal(Predicate predicate, int sign, int missing)

## Method Details

### getPredicate

public Predicate getPredicate()

### getNegation

public Literal getNegation()

### setNegation

public void setNegation(Literal negation)

### positive

public boolean positive()

### negative

public boolean negative()

### satisfies

public abstract boolean satisfies(Instance instance)

### negationSatisfies

public abstract boolean negationSatisfies(Instance instance)

### toString

public abstract String toString()

Overrides:
  `toString` in class `Object`